Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
upgrade with WES 2009?
#1
I had been running happily for several years. But my desktop and my laptop both died recently. I went to download CQC for each of their replacements and realized that my server (4.4.1) is older than the current release (4.8).

So I shut down the clients and the master server. I tried to install 4.8, but got the "not a valid win32 app" when I tried to run the installer on the master server machine.

Question 1. Is this because my server machine (running WES 2009, which is NT platform) is no longer supported? Or am I missing something else?

(upgrading the os is not easy. I have to send the unit in to Advantech, wait a week or so, and pay $250)

Question 2. So I decided to grab my old 4.4.1 install-zip off the server and install that on new client machines. That worked ok, except the web widgets for cameras. I am able to view my camera streams in IE, but not in the CQC web browser widget. Is this another case of the embedded web browser in 4.4 being too old so it doesn't share current IE (v11) code/parts?


Thanks in Advance.
Reply
#2
If WES 2009 is the XP code base or earlier then, yeh, it's no longer supported. Win7 is the minimum platform as of 4.7. Version 4.6 was the last version that has XP support.

On #2, I'm not sure about that. Generally speaking there shouldn't be an issue. If you poke around on the net a bit, there is a registry setting for what version IE presents itself as when embedded. It's typically a fairly older version, for backwards compatibility, or has been in the past.
Dean Roddey
Explorans limites defectum
Reply
#3
Looks like WES 2009 is XP based:

http://blogs.msdn.com/b/windows-embedded...edded.aspx
Wuench
My Home Theater/Automation Website

[THREAD=5957]BlueGlass CQC Config[/THREAD]
[THREAD=10624]Wuench's CQC Drivers[/THREAD]
Reply
#4
The trick for #2 was that I needed to enable compatibility mode for a camera (one did the trick even though I have many) in internet explorer. When I did, then when I used internet explorer (not Edge) to log into the camera, it prompted me to download the right required software. For some reason, when I wasn't in compatibility mode, it didn't prompt for the right software, and it downloaded quicktime instead, which didn't work right.

After seeing my h.264 stream in IE, then my custom h.264 stream dutifully appeared in my CQC interface. (search forum for "axis controlfreak", no quotes, for details of that implementation).

As for #1...it is PITA to upgrade an embedded server machine. You have to send it in. So I ordered a new machine (advantech ARK-6322-3S51 fanless j1900) with with WES 8. I will load CQC on the new machine. Then I will get the old machine's OS upgraded so it can serve as a backup machine)
Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  Win10 - Watch out on this latest upgrade kblagron 24 9,610 10-03-2016, 08:34 AM
Last Post: IVB
  Template errors after upgrade to 4.8.3 avtexan 4 2,892 08-13-2016, 11:29 PM
Last Post: avtexan
  Double Upgrade Advice? ControlFreak 1 1,891 06-26-2016, 10:12 AM
Last Post: Dean Roddey
  can i upgrade from 4.1 to 4.8 indygreg 39 10,527 12-17-2015, 05:15 PM
Last Post: Dean Roddey
  Need some details about OnPress/OnRelease in Upgrade mbrown 3 2,316 07-28-2015, 10:14 AM
Last Post: mbrown
  Help with new server and CQC upgrade royalj7 3 2,333 04-29-2012, 02:39 PM
Last Post: Dean Roddey
  Master Server rehost/upgrade advice. dogman 3 2,490 03-24-2012, 04:35 PM
Last Post: Dean Roddey
  How To Upgrade dkemme 1 2,039 11-07-2011, 09:08 PM
Last Post: Dean Roddey
  Upgrade help fairview1100 2 2,036 06-11-2011, 10:02 AM
Last Post: fairview1100
  Upgrade questions - 2.4.26 to 3.2 MikeA 9 4,095 12-29-2010, 10:06 AM
Last Post: klindy

Forum Jump:


Users browsing this thread: 1 Guest(s)